IBM Support

IBM Connections 5.0 CR requirements for IBM FileNet for use with Connections Content Manager (CCM)

Preventive Service Planning


Abstract

This document contains information on the requirements for IBM FileNet for use with IBM Connections 5.0 CR Connections Content Manager (CCM)

Content

IBM Connections 5.0 environments using Connections Content Management (CCM) are required to upgrade the FileNet installation as part of the upgrade to a 5.0 Cumulative Refresh (CR). After applying IBM Connections 5.0 CR3, upgrades are required for FileNet Content Engine Server & Client and FileNet Collaboration Services.
Table of Contents:


Section 1 - Important notes


  • These procedures are required only if you have installed Connections Content Manager (CCM) in IBM Connections 5.0.
  • Make sure the latest Connections 5.0 CR update is installed before attempting to upgrade the Content Engine (CE) server, CE client, and FileNet Collaboration Services (FNCS).
  • See TechNote 1968883 for upgrading FileNet Content Server in an environment where WebSphere Application Server is installed in a non-English locale.

Section 2 - Compatibility table


Review this table to find the FileNet version compatible with the Connections 5.0 CR version:
Required version for IBM Connections 5.0
CR1 CR2 CR3 & CR4
FileNet Content Engine Server 5.2.0.3 Interim Fix 3 (IF003) 5.2.1 + 5.2.1.0-P8CPE-IF001 5.2.1.2 (FP2)
FileNet Content Engine Client 5.2.0.3 Interim Fix 3 (IF003) 5.2.1 5.2.1.2 (FP2)
FileNet Collaboration Services (FNCS )
(as part of IBM Content Navigator)
2.0.3 2.0.3 FP2 2.0.3 FP3

Section 3 - Download table


Here are the direct download links for the FileNet fixpacks and interim fixes compatible with Connections:

Note: If a problem occurs selecting a download link, close your browser and clear the browser cache

Installation Notes:

  1. FileNet Content Engine Server / Client is upgraded to 5.2.1 as part of IC 5.0 CR2
  2. IBM Content Navigator is upgraded to 2.0.3 as part of IC 5.0 CR1
  3. Interim fix 5.2.1.0-P8CPE-IF001 does NOT need to be applied when upgrading from IC 5.0 CR1 or below to IC 5.0 CR4

Download table for IC 5.0 CR3 & CR4:

    Download table for previous IC5.0 CRs:

    Note: IBM Content Navigator 2.0.3 and IBM FileNet Content Engine & Client V5.2.1 can the found at Passport Advantage and Passport Advantage Express. Search on the part number for the download and follow the install instructions listed below.

    FileNet Component AIX Linux z/Linux Windows
    CR2 FileNet Content Engine Server IBM FileNet Content Engine V5.2.1 AIX


    Part Number:
    CN211ML

    5.2.1.0-P8CPE-IF001

    IBM FileNet Content Engine V5.2.1 Linux


    Part Number:
    CN214ML

    5.2.1.0-P8CPE-IF001

    IBM FileNet Content Engine V5.2.1 Linux on System z

    Part Number:
    CN217ML

    5.2.1.0-P8CPE-IF001

    IBM FileNet Content Engine V5.2.1 Windows

    Part Number:
    CN216ML

    5.2.1.0-P8CPE-IF001

    FileNet Content Engine Client IBM FileNet Content Engine Client V5.2.1 AIX

    Part Number:
    CN220EN

    IBM FileNet Content Engine Client V5.2.1 Linux

    Part Number:
    CN223EN

    IBM FileNet Content Engine Client V5.2.1 Linux on System z

    Part Number:
    CN226EN

    IBM FileNet Content Engine Client V5.2.1 Windows

    Part Number:
    CN225EN

    IBM Content Navigator

    (FileNet Collaboration Services (FNCS))

    2.0.3.2-ICN-AIX-FP002 2.0.3.2-ICN-FP002-LINUX 2.0.3.2-ICN-FP002-zLINUX 2.0.3.2-ICN-FP002-WIN
    CR1 FileNet Content Engine Server 5.2.0.3-P8CPE-AIX-IF003 5.2.0.3-P8CPE-LINUX-IF003 5.2.0.3-P8CPE-ZLINUX-IF003 5.2.0.3-P8CPE-WIN-IF003
    FileNet Content Engine Client 5.2.0.3-P8CPE-CLIENT-AIX-IF003 5.2.0.3-P8CPE-CLIENT-Linux-IF003 5.2.0.3-P8CPE-CLIENT-ZLINUX-IF003 5.2.0.3-P8CPE-CLIENT-WIN-IF003
    IBM Content Navigator

    (FileNet Collaboration Services (FNCS))

    IBM_CONTENT_NAVIGATOR-2.0.3a-AIX.bin

    Part number: CN0PSML

    IBM_CONTENT_NAVIGATOR-2.0.3-LINUX.bin

    Part number:
    CN0PTML

    IBM_CONTENT_NAVIGATOR-2.0.3-zLINUX.bin

    Part Number:CN0PUML

    IBM_CONTENT_NAVIGATOR-2.0.3-WIN.exe

    Part Number:
    CN0PVML


    Section 4 - Installation instructions


    It is important that you understand requirements and dependencies before updating FileNet. The topic Updating IBM Connections 5.0 with the latest Cumulative Refresh (CR) has important information that must be followed when applying IBM Connections 5.0 CR and the subtopic Post-update tasks has information on deploying the latest FileNet FixPacks and Interim Fixes.
    Installation instructions for the FileNet fixpacks with IBM Connections are detailed in "Section 5 - Instructions on applying Cumulative Refresh (CR) updates" in the Upgrade Strategy for IBM Connections 5.0 document.

    Important - IC5.0 CR2 only: Due to a defect in the installation code on the AIX platform, the FileNet Collaboration Services (FNCS) must be installed manually for IBM Content Navigator Version 2 (2.0.3.2-ICN-AIX-FP002a). See Technote 1698362 for details.

    Related information

    IBM FileNet P8 Platform Documentation
    Upgrade Strategy for IBM Connections 5.0 document
    Old waltz and sonata jars in CE after upgrade to CE IF0

    Document information

    More support for: IBM Connections
    Content Manager

    Software version: 5.0

    Operating system(s): AIX, IBM i, Linux, Windows

    Reference #: 1683147

    Modified date: 14 October 2016


    Translate this page: